# azure.mgmt.devspaces.models module

exception `azure.mgmt.devspaces.models.``DevSpacesErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘DevSpacesErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.devspaces.models.``ContainerHostMapping`(*, container_host_resource_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Container host mapping object specifying the Container host resource ID and its associated Controller resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | container_host_resource_id (str) – ARM ID of the Container Host resource
  Variables: | mapped_controller_resource_id (str) – ARM ID of the mapped Controller resource

class `azure.mgmt.devspaces.models.``TrackedResource`(*, tags=None, location: str = None, **kwargs)

  Bases: `azure.mgmt.devspaces.models.resource_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

  Parameters:

  - tags (dict[str, str]) – Tags for the Azure resource.
  - location (str) – Region where the Azure resource is located.

class `azure.mgmt.devspaces.models.``ResourceProviderOperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ResourceProviderOperationDisplay.

  Parameters:

  - provider (str) – Name of the resource provider.
  - resource (str) – Name of the resource type.
  - operation (str) – Name of the resource provider operation.
  - description (str) – Description of the resource provider operation.

class `azure.mgmt.devspaces.models.``ResourceProviderOperationDefinition`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ResourceProviderOperationDefinition.

  Parameters:

  - name (str) – Resource provider operation name.
  - display (ResourceProviderOperationDisplay) –

class `azure.mgmt.devspaces.models.``Sku`(*, tier=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Model representing SKU for Azure Dev Spaces Controller.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | name (str) – Required. The name of the SKU for Azure Dev Spaces Controller. Default value: “S1” .
  Parameters: | tier (str or SkuTier) – The tier of the SKU for Azure Dev Spaces Controller. Possible values include: ‘Standard’

  `name` = 'S1'

class `azure.mgmt.devspaces.models.``Controller`(*, target_container_host_resource_id: str, target_container_host_credentials_base64: str, sku, tags=None, location: str = None, **kwargs)

  Bases: `azure.mgmt.devspaces.models.tracked_resource_py3.TrackedResource`

  Controller.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - provisioning_state (str or ProvisioningState) – Provisioning state of the Azure Dev Spaces Controller. Possible values include: ‘Succeeded’, ‘Failed’, ‘Canceled’, ‘Updating’, ‘Creating’, ‘Deleting’, ‘Deleted’
  - host_suffix (str) – DNS suffix for public endpoints running in the Azure Dev Spaces Controller.
  - data_plane_fqdn (str) – DNS name for accessing DataPlane services

  Parameters:

  - tags (dict[str, str]) – Tags for the Azure resource.
  - location (str) – Region where the Azure resource is located.
  - target_container_host_resource_id (str) – Required. Resource ID of the target container host
  - target_container_host_credentials_base64 (str) – Required. Credentials of the target container host (base64).
  - sku (Sku) – Required.

class `azure.mgmt.devspaces.models.``ControllerUpdateParameters`(*, tags=None, target_container_host_credentials_base64: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for updating an Azure Dev Spaces Controller.

  Parameters:

  - tags (dict[str, str]) – Tags for the Azure Dev Spaces Controller.
  - target_container_host_credentials_base64 (str) – Credentials of the target container host (base64).

class `azure.mgmt.devspaces.models.``ListConnectionDetailsParameters`(*, target_container_host_resource_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for listing connection details of an Azure Dev Spaces Controller.

  All required parameters must be populated in order to send to Azure.

  Parameters: | target_container_host_resource_id (str) – Required. Resource ID of the target container host mapped to the Azure Dev Spaces Controller.

class `azure.mgmt.devspaces.models.``OrchestratorSpecificConnectionDetails`(**kwargs)

  Bases: `msrest.serialization.Model`

  Base class for types that supply values used to connect to container orchestrators.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: KubernetesConnectionDetails

  All required parameters must be populated in order to send to Azure.

  Parameters: | instance_type (str) – Required. Constant filled by server.

class `azure.mgmt.devspaces.models.``ControllerConnectionDetails`(*, orchestrator_specific_connection_details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ControllerConnectionDetails.

  Parameters: | orchestrator_specific_connection_details (OrchestratorSpecificConnectionDetails) –

class `azure.mgmt.devspaces.models.``ControllerConnectionDetailsList`(*, connection_details_list=None, **kwargs)

  Bases: `msrest.serialization.Model`

  ControllerConnectionDetailsList.

  Parameters: | connection_details_list (list[ControllerConnectionDetails]) – List of Azure Dev Spaces Controller connection details.

class `azure.mgmt.devspaces.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  An Azure resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

class `azure.mgmt.devspaces.models.``KubernetesConnectionDetails`(*, kube_config: str = None, **kwargs)

  Bases: `azure.mgmt.devspaces.models.orchestrator_specific_connection_details_py3.OrchestratorSpecificConnectionDetails`

  Contains information used to connect to a Kubernetes cluster.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - instance_type (str) – Required. Constant filled by server.
  - kube_config (str) – Gets the kubeconfig for the cluster.

class `azure.mgmt.devspaces.models.``ErrorDetails`(**kwargs)

  Bases: `msrest.serialization.Model`

  ErrorDetails.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - code (str) – Status code for the error.
  - message (str) – Error message describing the error in detail.
  - target (str) – The target of the particular error.

class `azure.mgmt.devspaces.models.``DevSpacesErrorResponse`(*, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response indicates that the service is not able to process the incoming request. The reason is provided in the error message.

  Parameters: | error (ErrorDetails) – The details of the error.

class `azure.mgmt.devspaces.models.``ResourceProviderOperationDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ResourceProviderOperationDefinition` object

class `azure.mgmt.devspaces.models.``ControllerPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Controller` object

class `azure.mgmt.devspaces.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleted` = 'Deleted'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.devspaces.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `standard` = 'Standard'